Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.bridge.connector
Interface IServiceConnector

All Known Implementing Classes:
  AbstractConnector, JMSClientConnector, JMSEmbeddedConnector, TCPClientConnector, TCPMultiServerConnector, TCPSingleServerConnector

    public interface IServiceConnector

Generic interface for every servcie connector.

Since:
  1.8
Author:
  Reiner Jung

Method Summary
`void` | `close()` Called to close the previously initialize record source.
`IMonitoringRecord` | `deserializeNextRecord()` The deserialize method reads source data and returns an `IMonitoringRecord`.
`void` | `initialize()` Called to initialize the channel to read record information.

Method Detail

### deserializeNextRecord

    IMonitoringRecord deserializeNextRecord()
                                            throws ConnectorDataTransmissionException,
                                                   ConnectorEndOfDataException

  The deserialize method reads source data and returns an `IMonitoringRecord`.

  Returns:
    A `IMonitoringRecord` or null on read error or end of line.
  Throws:
    `ConnectorDataTransmissionException` - if a read error or an unknown record id occurs
    `ConnectorEndOfDataException` - if the transmission is terminated or otherwise signaled that the last record has been received.
  Since:
    1.8

### initialize

    void initialize()
                    throws ConnectorDataTransmissionException

  Called to initialize the channel to read record information.

  Throws:
    `ConnectorDataTransmissionException` - when an error occurred setting up the record source.
  Since:
    1.8

### close

    void close()
               throws ConnectorDataTransmissionException

  Called to close the previously initialize record source.

  Throws:
    `ConnectorDataTransmissionException` - when an error occurred during connection close.
  Since:
    1.8

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net